package cn.iocoder.yudao.module.order.vo.orderConsignor;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 订单发货人信息 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 订单发货人信息 Response VO")
public class OrderConsignorBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("下单用户id")
    @ApiModelProperty(value = "下单用户id")
    private Long relationId;

    @ExcelProperty("订单id")
    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ExcelProperty("发货人姓名")
    @ApiModelProperty(value = "发货人姓名")
    private String name;

    @ExcelProperty("发货人姓名(英文)")
    @ApiModelProperty(value = "发货人姓名(英文)")
    private String nameEn;

    @ExcelProperty("手机")
    @ApiModelProperty(value = "手机")
    private String phone;

    @ExcelProperty("邮箱")
    @ApiModelProperty(value = "邮箱")
    private String email;

    @ExcelProperty("公司")
    @ApiModelProperty(value = "公司")
    private String company;

    @ExcelProperty("公司(英文)")
    @ApiModelProperty(value = "公司(英文)")
    private String companyEn;

    @ExcelProperty("购物车id")
    @ApiModelProperty(value = "购物车id", required = true)
    private Long cartId;

    @ExcelProperty("国家简称")
    @ApiModelProperty(value = "国家简称")
    private String countryAbbreviation;

    @ExcelProperty("国家区号")
    @ApiModelProperty(value = "国家区号", required = true)
    private String countryCode;

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long customerId;

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long customerContactsId;

    @ExcelProperty("控货权是否转移 0否 1是")
    @ApiModelProperty(value = "控货权是否转移 0否 1是", required = true)
    private Boolean isDevolve;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "是否变动业绩归属")
    private Boolean isCharge = false;
}
